# Method: accounts.locations.fetchVerificationOptions

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#body.FetchVerificationOptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#body.aspect)
- [VerificationOption](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#VerificationOption)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#VerificationOption.SCHEMA_REPRESENTATION)
- [PhoneVerificationData](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#PhoneVerificationData)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#PhoneVerificationData.SCHEMA_REPRESENTATION)
- [AddressVerificationData](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#AddressVerificationData)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#AddressVerificationData.SCHEMA_REPRESENTATION)
- [EmailVerificationData](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#EmailVerificationData)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#EmailVerificationData.SCHEMA_REPRESENTATION)

Reports all eligible verification options for a location in a specific language.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{name=accounts/*/locations/*}:fetchVerificationOptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Resource name of the location to verify. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "languageCode": string, "context": { object (`https://developers.google.com/my-business/reference/rest/v4/ServiceBusinessContext`) } } ``` |

| Fields ||
|---|---|
| `languageCode` | `string` The BCP 47 language code representing the language that is to be used for the verification process. Available options vary by language. |
| `context` | ``object (`https://developers.google.com/my-business/reference/rest/v4/ServiceBusinessContext`)`` Extra context information for the verification of service businesses. Required for the locations whose business type is CUSTOMER_LOCATION_ONLY. INVALID_ARGUMENT will be thrown if it is set for other business types of locations. |

### Response body

If successful, the response body contains data with the following structure:
Response message for Verifications.FetchVerificationOptions.

| JSON representation ||
|---|---|
| ``` { "options": [ { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#VerificationOption`) } ] } ``` |

| Fields ||
|---|---|
| `options[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#VerificationOption`)`` The available verification options. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## VerificationOption

The verification option represents how to verify the location (indicated by verification method) and where the verification will be sent to (indicated by display data).

| JSON representation ||
|---|---|
| ``` { "verificationMethod": enum (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications#VerificationMethod`), // Union field `DisplayData` can be only one of the following: "phoneData": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#PhoneVerificationData`) }, "addressData": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#AddressVerificationData`) }, "emailData": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#EmailVerificationData`) } // End of list of possible types for union field `DisplayData`. } ``` |

| Fields ||
|---|---|---|
| `verificationMethod` | ``enum (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications#VerificationMethod`)`` Method to verify the location. |
| Union field `DisplayData`. One of the display data. The data must match the method. Empty if the corresponding method doesn't have any display data. `DisplayData` can be only one of the following: |||
| `phoneData` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#PhoneVerificationData`)`` Set only if the method is PHONE_CALL or SMS. |
| `addressData` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#AddressVerificationData`)`` Set only if the method is MAIL. |
| `emailData` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#EmailVerificationData`)`` Set only if the method is EMAIL. |

## PhoneVerificationData

Display Data for verifications through phone, e.g. phone call, sms.

| JSON representation ||
|---|---|
| ``` { "phoneNumber": string } ``` |

| Fields ||
|---|---|
| `phoneNumber` | `string` Phone number that the PIN will be sent to. |

## AddressVerificationData

Display data for verifications through postcard.

| JSON representation ||
|---|---|
| ``` { "businessName": string, "address": { object (`https://developers.google.com/my-business/reference/rest/v4/PostalAddress`) } } ``` |

| Fields ||
|---|---|
| `businessName` | `string` Merchant's business name. |
| `address` | ``object (`https://developers.google.com/my-business/reference/rest/v4/PostalAddress`)`` Address that a postcard can be sent to. |

## EmailVerificationData

Display data for verifications through email.

| JSON representation ||
|---|---|
| ``` { "domainName": string, "userName": string, "isUserNameEditable": boolean } ``` |

| Fields ||
|---|---|
| `domainName` | `string` Domain name in the email address. e.g. "gmail.com" in [foo@gmail.com](mailto:foo@gmail.com) |
| `userName` | `string` User name in the email address. e.g. "foo" in [foo@gmail.com](mailto:foo@gmail.com) |
| `isUserNameEditable` | `boolean` Whether client is allowed to provide a different user name. |